petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscSpaceGetType

Gets the PetscSpace type name (as a string) from the object.

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscSpaceGetType(PetscSpace sp, PetscSpaceType *name)

Not Collective

### Input Parameter

sp -The PetscSpace

### Output Parameter

name -The PetscSpace type name

### See Also

PetscSpaceSetType(), PetscSpaceCreate()

### Level

intermediate

### Location

src/dm/dt/space/interface/space.c
Index of all SPACE routines
Table of Contents for all manual pages
Index of all manual pages